%define major_version 2.0
%define libsoup_version_required 2.2.0
%define eds_version_required 1.0.0

Name:		evolution-webcal
Summary:	Webcal integration for Evolution
Version: 2.0.1
Release:	1mdk
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

URL: 		http://www.ximian.com/products/ximian_evolution/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: evolution-data-server-devel >= %{eds_version_required}
BuildRequires: libsoup-devel >= %{libsoup_version_required}
Buildrequires: libgnomeui2-devel
BuildRequires: perl-XML-Parser

%description
This package registers "webcal:" URI type to use Evolution.

%prep
%setup -q

%build

%configure2_5x 

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in evolution-webcal ; do
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done

%preun
if [ "$1" = "0" ]; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in evolution-webcal ; do
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog 
%{_sysconfdir}/gconf/schemas/*
%{_libexecdir}/evolution-webcal
%{_datadir}/application-registry/*

%changelog
* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- New release 2.0.1

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Fix buildrequires

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-2mdk
- Rebuild with latest libsoup

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- New release 1.0.7

* Mon Jul  5 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- New release 1.0.6

* Tue Jun 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5

* Tue May  4 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- New release 1.0.4
- Remove patch0 (merged upstream)

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Initial Mandrakelinux package
- Patch0: fix libexec directory
